searchNodes=[{"ref":"Observables.Obs.html","title":"Observables.Obs","type":"module","doc":""},{"ref":"Observables.Obs.html#buffer/2","title":"Observables.Obs.buffer/2","type":"function","doc":"Periodically gather items emitted by an Observable into bundles of size size and emit these bundles rather than emitting the items one at a time. Source: http://reactivex.io/documentation/operators/buffer.html"},{"ref":"Observables.Obs.html#chunk/2","title":"Observables.Obs.chunk/2","type":"function","doc":"Chunks items produces by the observable together bounded in time. As soon as the set delay has been passed, the observable emits an enumerable with the elements gathered up to that point. Does not emit the empty list. Works in the same vein as the buffer observable, but that one is bound by number, and not by time. Source: http://reactivex.io/documentation/operators/buffer.html"},{"ref":"Observables.Obs.html#combinelatest/3","title":"Observables.Obs.combinelatest/3","type":"function","doc":"Given two observables, merges them together and always merges the last result of on of both, and reuses the last value from the other. E.g. 1 -&gt; 2 ------&gt; 3 A -----&gt; B ------&gt; C = 1A --&gt; 2A -&gt; 2B -&gt; 3B -&gt; 3C More information: http://reactivex.io/documentation/operators/combinelatest.html"},{"ref":"Observables.Obs.html#combinelatest_n/2","title":"Observables.Obs.combinelatest_n/2","type":"function","doc":"Generalization of Combinelatest2 to an unspecified number n of observees. Takes a list of observables and merges them together by combining the newly received value of an observable with the latest values from the others."},{"ref":"Observables.Obs.html#combinelatest_n_zip_m/3","title":"Observables.Obs.combinelatest_n_zip_m/3","type":"function","doc":"Generalization of combinelatestsilent to n observables to &#39;combine latest&#39; and m observables to zip. E.g. c1: -------------&gt; 1 ----------&gt; 2 ------&gt; 3 --&gt; c2: ------&gt; A --------&gt; B -------------------&gt; C z1: a -------&gt; b----------- c --------&gt; d -----&gt; z2: --&gt; @ ------&gt; $ ----&gt; % -----&gt; &amp; ----------&gt; = r: ------------------------&gt;1Bc%-------&gt;2Bd&amp; -&gt; More information: http://reactivex.io/documentation/operators/combinelatest.html"},{"ref":"Observables.Obs.html#combinelatest_n_zip_m_buffered/3","title":"Observables.Obs.combinelatest_n_zip_m_buffered/3","type":"function","doc":"Generalization of combinelatestsilent_silent_buffered to n observables to &#39;combine latest&#39; and m observables to zip. E.g. c1: -------------&gt; 1 --------------&gt; 2 --------------------&gt; 3 c2: ------&gt; A --------&gt; B --------------------&gt; C -----------&gt; z1: a -------&gt; b-----------------&gt; c --------------&gt; d ------&gt; z2: --&gt; @ ------&gt; $ ------&gt; % -------------&gt; &amp; --------------&gt; = r: -----------------------------&gt; 1Ba@ -----------&gt; 2Cb$ ---&gt;"},{"ref":"Observables.Obs.html#combinelatest_n_zip_m_buffered_propagating/3","title":"Observables.Obs.combinelatest_n_zip_m_buffered_propagating/3","type":"function","doc":"Generalization of combinelatestsilent_buffered_propagating to n observables to &#39;combine latest&#39; and m observables to zip. E.g. c1: ----------------&gt; 1 ------------------------&gt; 2 ---------------&gt; 3 c2: ------&gt; A ------------------&gt; B --------------------&gt; C ---------&gt; z1: a -------&gt; b-------------------------&gt; c --------------&gt; d ------&gt; z2: --&gt; @ ------&gt; $ ---------------&gt; % -------------&gt; &amp; -------------&gt; = r: -----------------&gt; 1Aa@ 1Ab$ --------&gt; 1Bc% -----------&gt; 2Cd&amp; ---&gt; More information: http://reactivex.io/documentation/operators/combinelatest.html"},{"ref":"Observables.Obs.html#combinelatest_var/3","title":"Observables.Obs.combinelatest_var/3","type":"function","doc":"Generalization of Combinelatestn to a number of observables that can be subject to change. Takes a list of initial observables and one higher order observable. Values of the latter are tuples {observable, initial_value}. We add these observables as new incoming dependencies and initialize them with the given value.. At any given moment, we combine the newly received value of an observable with the latest values of other current observables."},{"ref":"Observables.Obs.html#combinelatestsilent/3","title":"Observables.Obs.combinelatestsilent/3","type":"function","doc":"Given two observables, merges them together by zipping the values of one with the latest value from the other. The zip observable will trigger an update if there is a value for the combine observable, otherwise the zip value will be lost. The combine observable will never trigger the production of a new value, but will instead update &#39;silently&#39;. E.g. 1 ---&gt; 2 -------&gt; 3 ------&gt; A -------&gt; B -----------&gt; C = 1A ---&gt; 2A -----&gt; 3B -----&gt; More information: http://reactivex.io/documentation/operators/combinelatest.html"},{"ref":"Observables.Obs.html#combinelatestsilent_buffered/3","title":"Observables.Obs.combinelatestsilent_buffered/3","type":"function","doc":"Given two observables, merges them together by zipping the values of one with the latest value from the other. The zip observable will trigger an update if there is a value for the combine observable, otherwise it will add this value to a buffer. When updating, we always take the first value of the zip buffer. The combine observable will never trigger an update, but will instead update &#39;silently&#39; by replacing its latest value. E.g. 1 -&gt; 2 ------&gt; 3 ---&gt; 4 -----&gt; A ------&gt; C ---&gt; = -------------&gt; 1A -&gt; 2C"},{"ref":"Observables.Obs.html#combinelatestsilent_buffered_propagating/3","title":"Observables.Obs.combinelatestsilent_buffered_propagating/3","type":"function","doc":"Given two observables, merges them together by zipping the values of one with the latest value from the other. The zip observable will trigger an update if there is a value for the combine observable, otherwise it will add this value to a buffer. The combine observable will in steady state not trigger an update, but will instead update &#39;silently&#39; by replacing its latest value. If however a value for the combine observable is received for the first time in the presence of a zip buffer, We will combine the whole zip buffer at once with this combine value. E.g. 1 -&gt; 2 ------&gt; 3 ---&gt; 4 -----&gt; A --&gt; C --------&gt; = -----&gt; 1A-2A --&gt; 3C -&gt; 4C"},{"ref":"Observables.Obs.html#count/2","title":"Observables.Obs.count/2","type":"function","doc":""},{"ref":"Observables.Obs.html#delay/2","title":"Observables.Obs.delay/2","type":"function","doc":"Delays each produced item by the given interval."},{"ref":"Observables.Obs.html#distinct/2","title":"Observables.Obs.distinct/2","type":"function","doc":"Filters out values that have already been produced by any given observable. Uses the default == function as a comparator if none is given. Any supplied comparator function should take 2 arguments, and return a boolean, indicating equality. More information: http://reactivex.io/documentation/operators/distinct.html"},{"ref":"Observables.Obs.html#each/2","title":"Observables.Obs.each/2","type":"function","doc":"Same as map, but returns the original value. Typically used for side effects. More information: http://reactivex.io/documentation/operators/subscribe.html"},{"ref":"Observables.Obs.html#filter/2","title":"Observables.Obs.filter/2","type":"function","doc":"Filters out the values that do not satisfy the given predicate. The expection function should take 1 arguments and return a boolean value. True if the value should be produced, false if the value should be discarded. More information: http://reactivex.io/documentation/operators/filter.html"},{"ref":"Observables.Obs.html#from_enum/2","title":"Observables.Obs.from_enum/2","type":"function","doc":"Takes an enumerable and turns it into an observable that produces a value for each value of the enumerable. If the enum is consumed, returns done. More information: http://reactivex.io/documentation/operators/from.html"},{"ref":"Observables.Obs.html#from_pid/1","title":"Observables.Obs.from_pid/1","type":"function","doc":"from_pid/1 can be considered to be a subject. Any process that implements the GenObservable interface can be used as a subject, actually. Example: Spawn a subject using the Subject module. {:ok, pid1} = GenObservable.spawn_supervised(Subject, 0) Print out each value that the subject produces. Obs.from_pid(pid1) |&gt; Obs.print() Send an event to the subject. GenObservable.send_event(pid1, :value) More information: http://reactivex.io/documentation/subject.html"},{"ref":"Observables.Obs.html#inspect/1","title":"Observables.Obs.inspect/1","type":"function","doc":"Same as the print/1 function, but uses inspect to print instead of puts."},{"ref":"Observables.Obs.html#last/1","title":"Observables.Obs.last/1","type":"function","doc":"Returns the last emitted value of the Observable."},{"ref":"Observables.Obs.html#map/2","title":"Observables.Obs.map/2","type":"function","doc":"Applies a given function to each value produces by the dependency observable. More information: http://reactivex.io/documentation/operators/map.html"},{"ref":"Observables.Obs.html#merge/1","title":"Observables.Obs.merge/1","type":"function","doc":"Combine a list of observables into a single observable that will emit the events produced by the inputs in a fifo fashion."},{"ref":"Observables.Obs.html#merge/2","title":"Observables.Obs.merge/2","type":"function","doc":"Combine two observables into a single observable that will emit the events produced by the inputs in a fifo fashion. More information: http://reactivex.io/documentation/operators/merge.html"},{"ref":"Observables.Obs.html#novel/2","title":"Observables.Obs.novel/2","type":"function","doc":"Filters out values that are equal to the most recently produced value. Uses the default == function as a comparator if none is given. Any supplied comparator function should take 2 arguments, and return a boolean, indicating equality."},{"ref":"Observables.Obs.html#print/1","title":"Observables.Obs.print/1","type":"function","doc":"Prints out the values produces by this observable. Keep in mind that this only works for values that are actually printable. If not sure, use inspect/1 instead."},{"ref":"Observables.Obs.html#range/3","title":"Observables.Obs.range/3","type":"function","doc":"Range creates an observable that will start at the given integer and run until the last integer. If no second argument is given, the stream is infinite. One can use :infinity as the end for an infinite stream (see: https://elixirforum.com/t/infinity-in-elixir-erlang/7396) More information: http://reactivex.io/documentation/operators/range.html"},{"ref":"Observables.Obs.html#repeat/2","title":"Observables.Obs.repeat/2","type":"function","doc":"repeat takes a function as argument and an optional interval. The function will be repeatedly executed, and the result will be emitted as an event. More information: http://reactivex.io/documentation/operators/repeat.html"},{"ref":"Observables.Obs.html#rotate/1","title":"Observables.Obs.rotate/1","type":"function","doc":"Combine a list of observables into a single observable that will emit the events produced by the inputs in a round-robin fashion."},{"ref":"Observables.Obs.html#scan/3","title":"Observables.Obs.scan/3","type":"function","doc":"Applies a given procedure to an observable&#39;s value, and its previous result. Works in the same way as the Enum.scan function: Enum.scan(1..10, fn(x,y) -&gt; x + y end) =&gt; [1, 3, 6, 10, 15, 21, 28, 36, 45, 55] More information: http://reactivex.io/documentation/operators/scan.html"},{"ref":"Observables.Obs.html#starts_with/2","title":"Observables.Obs.starts_with/2","type":"function","doc":"Prepends any observable with a list of values provided here in the form of a list. More information: http://reactivex.io/documentation/operators/startwith.html"},{"ref":"Observables.Obs.html#switch/2","title":"Observables.Obs.switch/2","type":"function","doc":"Convert an Observable that emits Observables into a single Observable that emits the items emitted by the most-recently-emitted of those Observables. It is possible to supply an Observable as the start Observable. More information: http://reactivex.io/documentation/operators/switch.html"},{"ref":"Observables.Obs.html#switch_repeat/2","title":"Observables.Obs.switch_repeat/2","type":"function","doc":"Convert an Observable that emits Observables into a single Observable that emits the items emitted by the most-recently-emitted of those Observables. Emits the last value of the new Observable if not nil upon switching. It is possible to supply an initial Observable as the first argument. More information: http://reactivex.io/documentation/operators/switch.html"},{"ref":"Observables.Obs.html#take/2","title":"Observables.Obs.take/2","type":"function","doc":"Takes the n first element of the observable, and then stops. More information: http://reactivex.io/documentation/operators/take.html"},{"ref":"Observables.Obs.html#until/3","title":"Observables.Obs.until/3","type":"function","doc":"Takes two Observables and a &#39;switch&#39; Observable. Emits the values of the first Observable until the switch Observable emits a value, at which point the resulting Observable switches and only emits values from the second Observable."},{"ref":"Observables.Obs.html#until_repeat/3","title":"Observables.Obs.until_repeat/3","type":"function","doc":"Takes two Observables and a &#39;switch&#39; Observable. Emits the values of the first Observable until the switch Observable emits a value, at which point the resulting Observable switches and only emits values from the second Observable. Emits the last value of the second Observable if not nil upon switching."},{"ref":"Observables.Obs.html#unzip/1","title":"Observables.Obs.unzip/1","type":"function","doc":"Unzip an observable whose values are tuples {left, right}."},{"ref":"Observables.Obs.html#zip/2","title":"Observables.Obs.zip/2","type":"function","doc":"Combine the emissions of multiple Observables together and emit single items for each combination. More information: http://reactivex.io/documentation/operators/zip.html"},{"ref":"Observables.Obs.html#zip_n/1","title":"Observables.Obs.zip_n/1","type":"function","doc":"Combine the emissions of a list of observables together and emit single items for each combination."},{"ref":"Observables.Obs.html#zip_var/2","title":"Observables.Obs.zip_var/2","type":"function","doc":"Combine the emissions of a list of observables together and emit single items for each combination. Takes an extra higher order observable carrying new observables to zip with."},{"ref":"Observables.Reactivity.html","title":"Observables.Reactivity","type":"module","doc":""},{"ref":"Observables.Reactivity.html#liftapp/2","title":"Observables.Reactivity.liftapp/2","type":"function","doc":"Lifts a unary function and applies it to an observable (essentially a wrapper for the map observable)"},{"ref":"Observables.Reactivity.html#liftapp2_propagate/3","title":"Observables.Reactivity.liftapp2_propagate/3","type":"function","doc":"Lifts a binary function and applies it to two observables Consumes processed values in a stream-wise fashion. This is similar to event-stream processing in FRP."},{"ref":"Observables.Reactivity.html#liftapp2_update/3","title":"Observables.Reactivity.liftapp2_update/3","type":"function","doc":"Lifts a binary function and applies it to two observables Does not consume processed values, but keeps them as state until a more recent value is received, at which point the value is updated and a new output value is produced. This is similar to a behaviour with discrete updates in FRP."},{"ref":"Observables.Reactivity.html#liftapp_update_propagate/3","title":"Observables.Reactivity.liftapp_update_propagate/3","type":"function","doc":"Lifts an n-ary function and applies it to a list of n observables. Does not consume processed values of observables in the first lsit, but instead keeps them as state until a more recent value is received, Does not produce output when receiving a value of an observable in this list. Consumes processed values of observables in the second list in a stream-wise fashion. Only when all observables of this list have a value available is an output produced"},{"ref":"Observables.Reactivity.html#liftapp_update_propagate_buffered/3","title":"Observables.Reactivity.liftapp_update_propagate_buffered/3","type":"function","doc":"Lifts an n-ary function and applies it to a list of n observables. Does not consume processed values of observables in the first lsit, but instead keeps them as state until a more recent value is received, Does not produce output when receiving a value of an observable in this list. Consumes processed values of observables in the second list in a stream-wise fashion. Only when all observables of this list have a value available is an output produced Buffers last zipped values from this list so that they do not get lost in the absence of values from observables in the first list."},{"ref":"Observables.Reactivity.html#liftapp_update_propagate_buffered_propagating/3","title":"Observables.Reactivity.liftapp_update_propagate_buffered_propagating/3","type":"function","doc":"Lifts an n-ary function and applies it to a list of n observables. Does not consume processed values of observables in the first lsit, but instead keeps them as state until a more recent value is received, Does not produce output when receiving a value of an observable in this list. Consumes processed values of observables in the second list in a stream-wise fashion. Only when all observables of this list have a value available is an output produced Buffers last zipped values from this list so that they do not get lost in the absence of values from observables in the first list. When for all observables in the first list a value is received, the buffered zipped values are combined with these values until the buffer is empty."},{"ref":"Observables.Reactivity.html#liftappn_propagate/2","title":"Observables.Reactivity.liftappn_propagate/2","type":"function","doc":"Lifts an n-ary function and applies it to a list of n observables. Consumes processed values in a stream-wise fashion. This is similar to event-stream processing in FRP."},{"ref":"Observables.Reactivity.html#liftappn_update/3","title":"Observables.Reactivity.liftappn_update/3","type":"function","doc":"Lifts an n-ary function and applies it to a list of n observables. Does not consume processed values, but keeps them as state until a more recent value is received, at which point the value is updated and a new output value is produced. This is similar to a behaviour with discrete updates in FRP."},{"ref":"Observables.Reactivity.html#liftappvar_propagate/3","title":"Observables.Reactivity.liftappvar_propagate/3","type":"function","doc":"Lifts a function that can operate on lists of variable sizes and applies it to a variable sized list of observables, which is initially the given list. Takes a higher order observable ob that announces new observables to add to the list of incoming dependencies. Observables that have stopped will be removed and operation will continue with the remaining ones. Consumes processed values in a stream-wise fashion. This is similar to event-stream processing in FRP."},{"ref":"Observables.Reactivity.html#liftappvar_update/4","title":"Observables.Reactivity.liftappvar_update/4","type":"function","doc":"Lifts a function that can operate on lists of variable sizes and applies it to a variable sized list of observables, which is initially the given list. Takes a higher order observable ob that announces new observables to add to the list of incoming dependencies. Observables that have stopped will be removed and operation will continue with the remaining ones. Does not consume processed values, but keeps them as state until a more recent value is received, at which point the value is updated and a new output value is produced. This is similar to a behaviour with discrete updates in FRP."},{"ref":"Observables.Subject.html","title":"Observables.Subject","type":"module","doc":"Subject defines functions to create and interact with subjects. A Subject is an observable which acts as a regular observer. It can be observed as usual, but it also allows the programmer to manually send messages to the process. The Subject will then emit the values. Have a look at test/subject_test.ex for a simple example."},{"ref":"Observables.Subject.html#create/0","title":"Observables.Subject.create/0","type":"function","doc":""},{"ref":"Observables.Subject.html#done/1","title":"Observables.Subject.done/1","type":"function","doc":""},{"ref":"Observables.Subject.html#next/2","title":"Observables.Subject.next/2","type":"function","doc":""}]